// CompressorDlg.cpp : implementation file
//
#include "stdafx.h"

#include "CompressorDlg.h"
#include "VideoManager.h"

/*******************************************************************/
IMPLEMENT_DYNAMIC(CCompressorDlg, CDialog)	// CCompressorDlg dialog
/*******************************************************************/
CCompressorDlg::CCompressorDlg(CWnd* pParent) : CDialog(CCompressorDlg::IDD, pParent)
{
	_videoManager = NULL;

	_compressorID = 0;

}
CCompressorDlg::~CCompressorDlg()
{

}
/*******************************************************************/
void CCompressorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMPRESSORLIST, m_compressorListObj);
}
/*******************************************************************/
BEGIN_MESSAGE_MAP(CCompressorDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CCompressorDlg::OnBnClickedOk)
END_MESSAGE_MAP()
/*******************************************************************/
BOOL CCompressorDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	if(_videoManager)
	{
		CString *compList = _videoManager->GetVideoCompressorList();

		for(int i = 0; i < MAX_COMPRESSOR_NUM; i++)
		{
			if(compList[i].IsEmpty())			
				continue;

			m_compressorListObj.AddString(compList[i]);
		}
	}

	return TRUE;
}
/*******************************************************************/
void CCompressorDlg::OnBnClickedOk()
{
	_compressorID = m_compressorListObj.GetCurSel();

	OnOK();
}
